#!/usr/bin/env python

from datetime import timedelta

class Configuration:
    def __init__(self, **kwargs):
        # the AMAN specific information
        self.RunwayConstraints = kwargs.get('constraints', None)
        self.PreceedingRunwayInbounds = kwargs.get('preceedingRunways', None)
        self.PreceedingIafInbounds = kwargs.get('preceedingIafs', None)
        self.EarliestArrivalTime = kwargs.get('earliest', None)
        self.WeatherModel = kwargs.get('weather', None)
        self.AirportConfiguration = kwargs.get('config', None)

        # the ACO specific information
        self.AntCount = kwargs.get('ants', 20)
        self.ExplorationRuns = kwargs.get('generations', 20)
        self.PheromoneEvaporationRate = 0.9
        self.PseudoRandomSelectionRate = 0.9
        self.PropagationRatio = 0.9
        self.Epsilon = 0.1
        self.Beta = 2.0
        self.ThetaZero = None